package shop.alien.util.common.generator;

import com.baomidou.mybatisplus.generator.config.querys.DMQuery;

/**
 * @Author: liwanshan
 * @Date: 2021/10/15/14:27
 * @Description:
 */
public class MyDMQuery extends DMQuery {
    private int flag = 1;
    @Override
    public String tableName() {
        if (flag == 1) {
            flag++;
            // 有歧义的列名[TABLE_NAME] 解决方案
            return "T1.TABLE_NAME";
        } else {
            // 列无效 解决方案
            return "TABLE_NAME";
        }
    }
}

